cht電腦資訊gcin
adm Find login register

gcin source 2.8.5 released

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
1subject: gcin source 2.8.5 releasedPromote 2 Bookmark 02017-02-01quote  
2.8.5
- gtab * 可以設定是否要使用
- 行列輸入法預選詞很多沒出來的問題 
- 英數預選詞現在使用後現在會拉到候選詞的前面
- gtab 英數預選詞按兩個鍵就可以選
- 英文大寫名詞的排序改進
- 注音巨大字集更新成 Franklin 提供的。
winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
2subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-04quote  

請問eliu兄,
上次在windows版有縮減五四三倉頡詞庫的size,從此windows下打起字來順很多,
請問Linux的2.8.5裡也有加入這個功能嗎?

謝謝

-------------------------------------------------------------------
好用的gcin連結:

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
3subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-04quote  

winlin

請問eliu兄,
上次在windows版有縮減五四三倉頡詞庫的size,從此windows下打起字來順很多,
請問Linux的2.8.5裡也有加入這個功能嗎?

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
4subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-05quote  

eliu

太爽了~感恩~

-------------------------------------------------------------------
好用的gcin連結:

yochenhsieh
joined: 2009-11-16
posted: 24
promoted:
bookmarked:
5subject: Promote 0 Bookmark 02017-02-06quote  

您好

請問qt5-im/gcin-qt5.h.in 這個檔案是否誤放? 2.8.4 沒有

gcin-qt5.h 和 gcin-qt5.h.in 內容完全相同

但 Mageia 需要 patch gcin-qt5.h 這個檔案

我必須刪掉 gcin-qt5.h.in 才能打包出可以使用的 qt5 plugin

patch 和 spec 於附件中供參考

 

謝謝

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
6subject: Promote 0 Bookmark 02017-02-06quote  

yochenhsieh
gcin-qt5.h 和 gcin-qt5.h.in 內容完全相同

gcin-qt5.h 在Ubuntu 16.04需要經由 configure 修改產生。QT developers 完全不管 app developers 的死活,我行我素。

 

cd qt5-im
pkg-config --modversion Qt5Core | grep 5.5.1 > /dev/null 2> /dev/null
if [ $? = 0 ]; then
echo "You have Qt 5.5.1"
sed -e "s/FactoryInterface/FactoryInterface.5.1/" < gcin-qt5.h.in > gcin-qt5.h
else
cp gcin-qt5.h.in gcin-qt5.h
fi
cd ..
for i in /usr/share/qt5/bin/moc /usr/lib/qt5/bin/moc /usr/lib/x86_64-linux-gnu/qt5/bin/moc /usr/lib/i386-linux-gnu/qt5/bin/moc /usr/lib64/qt5/bin/moc /usr/bin/moc
do
[ ! -x $i ] && continue
QT5_MOC=$i
echo "QT5_MOC=$QT5_MOC"
break
done

edited: 3
guest
7subject: Promote 0 Bookmark 02017-02-11quote  

eliu

 

gcin-qt5.h 在Ubuntu 16.04需要經由 configure 修改產生。QT developers 完全不管 app developers 的死活,我行我素。

 

cd qt5-im
pkg-config --modversion Qt5Core | grep 5.5.1 > /dev/null 2> /dev/null
(省略)

2個很小很小的建議:

上述的
pkg-config --modversion Qt5Core | grep 5.5.1 > /dev/null 2> /dev/null
也可以寫成
pkg-config --modversion Qt5Core | grep -q 5\.5\.1

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
8subject: Promote 0 Bookmark 02017-02-11quote  

guest
pkg-config --modversion Qt5Core | grep -q 5\.5\.1
收到,thanks.

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
9subject: Promote 0 Bookmark 02017-02-11quote  

eliu兄好:
./configure 的結果表示我有qt5支援:

prefix: /usr/local
N
.... Testing gtk+-2.0 : found
gtk+-2.0 will be used.
GTKINC: -pthread -I/usr/include/gtk-2.0 -I/usr/lib/i386-linux-gnu/gtk-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/freetype2
GTKLDFLAGS: -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype
.... Testing indicator(Ubuntu)    :  found.
.... Testing anthy    :  found.
testing if you have qt3 support
-> No, you don't have. It's ok if you don't want Qt3 immodule.
testing if you have qt4 support
-> Yes, you have Qt4 support.
testing if you have qt5 support
-> Yes, you have Qt5 support.
testing if you have GTK+ 3.x support
-> Yes, you have GTK+ 3.x support.
Y
QT4_MOC=/usr/share/qt4/bin/moc
QT5_MOC=/usr/lib/i386-linux-gnu/qt5/bin/moc

但是編譯時還是在qt5的部份停止了,在此回報一下。

-------------------------------------------------------------------
好用的gcin連結:

edited: 1
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
10subject: Promote 0 Bookmark 02017-02-11quote  

winlin
但是編譯時還是在qt5的部份停止了,在此回報一下。
需要知道 gcc compile 時的錯誤訊息

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
11subject: Promote 0 Bookmark 02017-02-12quote  

eliu

需要知道 gcc compile 時的錯誤訊息

eliu兄:抱歉昨天我忘了說,我上一篇有個附件,裡頭就是編譯的錯誤訊息。

-------------------------------------------------------------------
好用的gcin連結:

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
12subject: Promote 0 Bookmark 02017-02-12quote  

沒有install qtbase5-dev

 

$ dpkg -S QtCore/qplugin.h

libqt4-dev: /usr/include/qt4/QtCore/qplugin.h
qtbase5-dev:amd64: /usr/include/qt5/QtCore/qplugin.h

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
13subject: Promote 0 Bookmark 02017-02-13quote  

eliu

沒有install qtbase5-dev

 

$ dpkg -S QtCore/qplugin.h

libqt4-dev: /usr/include/qt4/QtCore/qplugin.h
qtbase5-dev:amd64: /usr/include/qt5/QtCore/qplugin.h

報告eliu兄:
原來我有裝,
只不過路徑又和ubuntu的不一樣....,也許又是因為路徑問題出錯了。

winlin@~$dpkg -S QtCore/qplugin.h
qtbase5-dev:i386: /usr/include/i386-linux-gnu/qt5/QtCore/qplugin.h
libqt4-dev: /usr/include/qt4/QtCore/qplugin.h

-------------------------------------------------------------------
好用的gcin連結:

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
14subject: Promote 0 Bookmark 02017-02-13quote  

winlin
qtbase5-dev:i386: /usr/include/i386-linux-gnu/qt5/QtCore/qplugin.h

terminal 執行底下的出來什麼

 pkg-config --variable=includedir Qt5Core

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
15subject: Promote 0 Bookmark 02017-02-13quote  

eliu

terminal 執行底下的出來什麼

 pkg-config --variable=includedir Qt5Core

winlin@~$ pkg-config --variable=includedir Qt5Core
/usr/include/i386-linux-gnu/qt5

-------------------------------------------------------------------
好用的gcin連結:

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
16subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-15quote  

eliu

謝謝eliu兄~

2.8.5版在生成五四三倉頡詞庫時,檔案大小比前一版縮減很多。貼2張圖來比較一下差異:


五四三倉頡詞庫檔案比2.8.4版減少近一半,目前打起字還沒有遇到延遲(windows版差異更明顯!)。

2.8.4使用者如果想要從這個功能受惠,必須刪除舊的詞庫檔重新生成一次。

若想要升級到2.8.5,又不想放棄原先手動加入的詞,建議這麼做:

(1) 把現有詞庫備份(點「詞庫匯出」):

(2) 用文字編輯器編輯剛剛匯出的詞庫檔(只留下最後面那些手動加入的詞);

(3) 升級到 gcin 2.8.5;

(4) 刪除2.8.4的舊詞庫檔(在~/.gcin裡,那些cj543.gtab.XXX的);

(5) 開個程式並啟動五四三倉頡,隨便打幾個字(讓gcin生成新的五四三倉頡詞庫);

(6) 匯入剛剛編輯好的詞庫。

這樣就轉移完成了~

-------------------------------------------------------------------
好用的gcin連結:

edited: 1
winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
17subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-17quote  

eliu

2.8.5
- gtab * 可以設定是否要使用
-
 
eliu兄好:
不使用「*」時,「*」不會像其他符號一樣可以送出緩衝區的字。
例如:
gtab緩衝區有中文字時,在結尾按「,」,這個逗號就會把緩衝區的字送出。但「*」並不會送出緩衝區。
想麻煩eliu兄有空的話,幫「*」加入這個功能,感恩~

-------------------------------------------------------------------
好用的gcin連結:

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
18subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-17quote  

winlin
不使用「*」時,「*」不會像其他符號一樣可以送出緩衝區的字。
完成,請等下一版

winlin

joined: 2007-09-25
posted: 1813
promoted: 104
bookmarked: 30
19subject: gcin source 2.8.5 releasedPromote 0 Bookmark 02017-02-19quote  

eliu

完成,請等下一版

好的,謝謝eliu兄~Laughing

-------------------------------------------------------------------
好用的gcin連結:

guest
20subject: 請問eliu兄,gcin for windows有規劃釋出日期?Promote 0 Bookmark 02017-03-10quote  

gcin 2.8.4 for windows,在許氏鍵盤+使用巨大utf-8字集時,無法輸入「生」字,還是沒有解決,期待在2.8.5會解決此問題。

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
21subject: 請問eliu兄,gcin for windows有規劃釋出日期?Promote 0 Bookmark 02017-03-10quote  

guest
gcin 2.8.4 for windows,在許氏鍵盤+使用巨大utf-8字集時,無法輸入「生」字,還是沒有解決,期待在2.8.5會解決此問題。
去 google pho.tab2.src, 把需要的罕用字加入。然後執行 phoa2d.exe  轉成 pho.tab2 

copy pho.tab2 %appdata%\gcin

如果你能找到 pho-huge.tab2.src 造成衝突的字然後刪除也可以。我是想不出什麼字造成衝突。

edited: 1

cht電腦資訊gcin
adm Find login register
views:2382